electrum

Electrum Bitcoin wallet
git clone https://git.parazyd.org/electrum
Log | Files | Refs | Submodules

commit a02bd2c18343b0fe11103cbf8912d4096f407e37
parent 38d94bfa7a25dc575fa472e84b69afe01872119d
Author: Johann Bauer <bauerj@bauerj.eu>
Date:   Thu, 15 Mar 2018 14:00:02 +0100

Travis: Make Windows build more reliable by trying different key servers

Diffstat:
Mcontrib/build-wine/prepare-wine.sh | 25+++++++++++++++++++++++--
1 file changed, 23 insertions(+), 2 deletions(-)

diff --git a/contrib/build-wine/prepare-wine.sh b/contrib/build-wine/prepare-wine.sh @@ -54,6 +54,27 @@ download_if_not_exist() { fi } +# https://github.com/travis-ci/travis-build/blob/master/lib/travis/build/templates/header.sh +retry() { + local result=0 + local count=1 + while [ $count -le 3 ]; do + [ $result -ne 0 ] && { + echo -e "\nThe command \"$@\" failed. Retrying, $count of 3.\n" >&2 + } + ! { "$@"; result=$?; } + [ $result -eq 0 ] && break + count=$(($count + 1)) + sleep 1 + done + + [ $count -gt 3 ] && { + echo -e "\nThe command \"$@\" failed 3 times.\n" >&2 + } + + return $result +} + # Let's begin! here=$(dirname $(readlink -e $0)) set -e @@ -74,8 +95,8 @@ cd /tmp/electrum-build # keys from https://www.python.org/downloads/#pubkeys KEYLIST_PYTHON_DEV="531F072D39700991925FED0C0EDDC5F26A45C816 26DEA9D4613391EF3E25C9FF0A5B101836580288 CBC547978A3964D14B9AB36A6AF053F07D9DC8D2 C01E1CAD5EA2C4F0B8E3571504C367C218ADD4FF 12EF3DC38047DA382D18A5B999CDEA9DA4135B38 8417157EDBE73D9EAC1E539B126EB563A74B06BF DBBF2EEBF925FAADCF1F3FFFD9866941EA5BBD71 2BA0DB82515BBB9EFFAC71C5C9BE28DEE6DF025C 0D96DF4D4110E5C43FBFB17F2D347EA6AA65421D C9B104B3DD3AA72D7CCB1066FB9921286F5E1540 97FC712E4C024BBEA48A61ED3A5CA953F73C700D 7ED10B6531D7C8E1BC296021FC624643487034E5" KEYRING_PYTHON_DEV="keyring-electrum-build-python-dev.gpg" -KEYSERVER_PYTHON_DEV="hkp://keys.gnupg.net" -gpg --no-default-keyring --keyring $KEYRING_PYTHON_DEV --keyserver $KEYSERVER_PYTHON_DEV --recv-keys $KEYLIST_PYTHON_DEV +KEYSERVER_PYTHON_DEV="hkp://pool.sks-keyservers.net" +retry gpg --no-default-keyring --keyring $KEYRING_PYTHON_DEV --keyserver $KEYSERVER_PYTHON_DEV --recv-keys $KEYLIST_PYTHON_DEV for msifile in core dev exe lib pip tools; do echo "Installing $msifile..." wget -nc "https://www.python.org/ftp/python/$PYTHON_VERSION/win32/${msifile}.msi"